Bug 812097 - qemu needs to have dep on newer usbredir
qemu needs to have dep on newer usbredir
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 14:16 EDT by Ansis Atteka
Modified: 2013-01-09 07:00 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 19:01:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ansis Atteka 2012-04-12 14:16:12 EDT
Description of problem:
Can't start qemu-kvm process because of missing symbols (most likely from libusb-devel).

Version-Release number of selected component (if applicable):
qemu 2:1.0.11.fc17

How reproducible:
Always! After a fresh Fedora 17 + @virtualization install.

Steps to Reproduce:
1. su -c "yum install @virtualization"
2. qemu-kvm --help
  
Actual results:
qemu-kvm: symbol lookup error: qemu-kvm: undefined symbol: usbredirparser_send_filter_filter

Expected results:
The help summary should be printed.

Additional info:
I am running fedora 17 inside virt-manager+KVM on Ubuntu 12.04. Haven't tried to reproduce this bug on baremetal. The VME flag is exposed to the guest.
Comment 1 Daniel Berrange 2012-04-12 15:08:19 EDT
Your usbredir RPM is outdated - there's a spec bug which means we don't pull in the newer version automatically, but it should still be available. Make sure you have run 'yum update' to fully update your machine
Comment 2 Ansis Atteka 2012-04-12 16:09:33 EDT
(In reply to comment #1)
> Your usbredir RPM is outdated - there's a spec bug which means we don't pull in
> the newer version automatically, but it should still be available. Make sure
> you have run 'yum update' to fully update your machine

Indeed, it seems that Fedora 17 by default comes with older usbredir 3.3-1.fc17 (if I install it with "yum install @virtualization"). But after installing it with "yum install usbredir.x86_64" I get version 4.3-1.fc17 and that fixes this particular issue.
Comment 3 Fedora Update System 2012-07-30 07:25:00 EDT
qemu-1.0.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qemu-1.0.1-1.fc17
Comment 4 Fedora Update System 2012-07-30 18:28:37 EDT
Package qemu-1.0.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.0.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11302/qemu-1.0.1-1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-08-09 19:01:34 EDT
qemu-1.0.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.